Fidel API integration: operations for AI agents
Fidel API connects to Type.com as an integration. This page lists the 56 operations documented for Claude and Codex in Type.com: 28 read, 20 write, 8 destructive.
About Fidel API
Fidel API provides a developer-friendly, secure, and reliable API for businesses to link payment cards with mobile and web applications, enabling real-time transaction monitoring and event-based experiences.
Categories: Developer Tools & IT
How to connect Fidel API to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
56 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
56 operations listed.
Brands
- Read
Get Brand
Get Brand. Official reference: GET /brands/{brandId}.
GET /v1/brands/{brandId} - Read
List Brands
List Brands. Query parameters: limit, start, order, name.
GET /v1/brands - Read
List Locations by Brand
List Locations by Brand. Query parameters: postcode, status, limit, start, order.
GET /v1/brands/{brandId}/programs/{programId}/locations - Write
Create Brand
Create Brand. Documented JSON fields: name (required), websiteURL, logoURL, metadata.
POST /v1/brands - Write
Update Brand
Update Brand. Documented JSON fields: websiteURL, logoURL, metadata.
PATCH /v1/brands/{brandId} - Destructive
Delete Brand
Delete Brand. Official reference: DELETE /brands/{brandId}.
DELETE /v1/brands/{brandId}
Programs
- Read
List Programs
List Programs. Query parameters: limit, start, order.
GET /v1/programs - Read
Get Program
Get Program. Official reference: GET /programs/{programId}.
GET /v1/programs/{programId} - Read
List Locations
List Locations. Query parameters: limit, start, order, postcode, status.
GET /v1/programs/{programId}/locations - Read
List Cards
List Cards. Query parameters: limit, start, order.
GET /v1/programs/{programId}/cards - Read
List Transactions by Program
List Transactions by Program. Query parameters: limit, start, order, from, to.
GET /v1/programs/{programId}/transactions - Read
List Webhooks
List Webhooks. Query parameters: limit, event.
GET /v1/programs/{programId}/hooks - Read
Get mid request
Get mid request. Official reference: GET /programs/{programId}/mid-requests/{midRequestId}.
GET /v1/programs/{programId}/mid-requests/{midRequestId} - Read
List mid requests
List mid requests. Query parameters: locationId, brandId, midId, status, scheme, seNumber, mcAcquiringMid, vmid, limit, start, sort, order.
GET /v1/programs/{programId}/mid-requests - Read
Get mid
Get mid. Official reference: GET /programs/{programId}/mids/{midId}.
GET /v1/programs/{programId}/mids/{midId} - Read
List mids
List mids. Query parameters: locationId, brandId, scheme, seNumber, mcAcquiringMid, visaAcquiringMid, vmid, limit, start, sort, order.
GET /v1/programs/{programId}/mids - Read
List missing transaction requests
List missing transaction requests. Query parameters: programId, brandId, locationId, scheme, cardId, amount, transactionDate, status, limit, start, sort, order.
GET /v1/programs/{programId}/missing-transaction-requests - Read
List Mid Insights
Returns paginated mid insight records for a program.
GET /v1/programs/{programId}/mid-insights - Write
Create Program
Create Program. Documented JSON fields: name (required), icon, iconBackground, metadata.
POST /v1/programs - Write
Update Program
Update Program. Documented JSON fields: name, icon, iconBackground, metadata, status.
PATCH /v1/programs/{programId} - Write
Create Location
Creating a location requires a programId, brandId, and address details. Optionally, you can add merchantIDs.
POST /v1/programs/{programId}/locations - Write
Create Card
Create Card. Documented JSON fields: countryCode (required), expMonth (required), expYear (required), number (required), termsOfUse (required), metadata.
POST /v1/programs/{programId}/cards - Write
Create Webhook (Program)
Create Webhook (Program). Documented JSON fields: event (required), url (required), offerId, headers.
POST /v1/programs/{programId}/hooks - Write
Create mid request
Create mid request. Documented JSON fields: action (required), locationId, mcAcquiringMid, mcLocationId, midId, origin, reason, seNumber, scheme, vmid, vsid, visaBin, visaAcquiringMid.
POST /v1/programs/{programId}/mid-requests
Locations
- Read
Get Location
Receive information about a specific location based on the LocationId
GET /v1/locations/{locationId} - Write
Update Location
Update location details
PATCH /v1/locations/{locationId} - Destructive
Delete Location
Delete Location. Official reference: DELETE /locations/{locationId}.
DELETE /v1/locations/{locationId}
Offers
- Read
List Locations by Offer
Lists all locations linked to an offer.
GET /v1/offers/{offerId}/locations - Read
Get Offer
Get Offer. Official reference: GET /offers/{offerId}.
GET /v1/offers/{offerId} - Read
List Offers
List Offers. Query parameters: limit, start, sort, order, status, activation, approval, brandId, contentProviderId, countryCode, customerRecency, network, programId, returnPeriod, channel, endDate.
GET /v1/offers - Read
Check Active Offer on Card
Check Active Offer on Card. Official reference: GET /offers/{offerId}/cards/{cardId}.
GET /v1/offers/{offerId}/cards/{cardId} - Read
List Cards with Active Offer
List Cards with Active Offer. Query parameters: limit, order, start.
GET /v1/offers/{offerId}/cards - Write
Create Offer
Create Offer. Documented JSON fields: brandId (required), countryCode (required), name (required), startDate (required), type, daysOfWeek, endDate, minTransactionAmount, returnPeriod, schemes, activation, metadata, feeSplit, channels, shortDescription, longDescription, requiresApproval, customerRecency.
POST /v1/offers - Write
Update Offer
Update specific offer properties.
PATCH /v1/offers/{offerId} - Write
Link Location to Offer
Links locations to an offer.
POST /v1/offers/{offerId}/locations/{locationId} - Write
Link All Brand Locations to Offer
Links locations to an offer.
POST /v1/offers/{offerId}/programs/{programId}/locations - Write
Send Offer to Brand
This endpoint requires funded.id != accountId, so will only work for offers not self-funded. This will only work in the live environment. (All Offers in test are self-funded,)
POST /v1/offers/{offerId}/notify - Write
Activate Offer on Card
Activate Offer on Card. Official reference: POST /offers/{offerId}/cards/{cardId}.
POST /v1/offers/{offerId}/cards/{cardId} - Destructive
Delete Offer
Delete Offer. Official reference: DELETE /offers/{offerId}.
DELETE /v1/offers/{offerId} - Destructive
Unlink Location to Offer
Unlinks a location from an offer.
DELETE /v1/offers/{offerId}/locations/{locationId} - Destructive
Deactivate Offer on Card
Removes a card from an offer. The usage count resets to 0 on the removed card.
DELETE /v1/offers/{offerId}/cards/{cardId}
Cards
- Read
Get Card
Get Card. Official reference: GET /cards/{cardId}.
GET /v1/cards/{cardId} - Read
List Cards from Metadata ID
List Cards from Metadata ID. Query parameters: limit, start, order.
GET /v1/cards/metadata/{metadataId}/ - Read
List Transactions by Card
List Transactions by Card. Query parameters: limit, start, order, from, to.
GET /v1/cards/{cardId}/transactions - Write
Create missing transaction request
Create missing transaction request. Documented JSON fields: locationId (required), amount (required), transactionDate (required).
POST /v1/cards/{cardId}/missing-transaction-requests - Destructive
Delete Card
Delete Card. Official reference: DELETE /cards/{cardId}.
DELETE /v1/cards/{cardId} - Destructive
Update Card Metadata
Replaces card metadata with a raw JSON object; sending {} clears it. The official curl sends metadata properties directly, while the schematic RAW_BODY field is a documentation placeholder.
PUT /v1/cards/{cardId}/metadata
Transactions
- Read
Get Transaction
Get Transaction. Official reference: GET /transactions/{transactionId}.
GET /v1/transactions/{transactionId} - Write
Create Transaction
This API endpoint only works in the test environment.
POST /v1/transactions/test
Hooks
- Read
Get Webhook
Get Webhook. Official reference: GET /hooks/{hookId}.
GET /v1/hooks/{hookId} - Write
Create Webhook (Brand)
Create Webhook (Brand). Documented JSON fields: event (required), url (required), headers.
POST /v1/hooks - Write
Update Webhook
Update Webhook. Documented JSON fields: programId, event (required), url (required), offerId, headers.
PATCH /v1/hooks/{hookId} - Destructive
Delete Webhook
Delete Webhook. Official reference: DELETE /hooks/{hookId}.
DELETE /v1/hooks/{hookId}
Marketplace offers
- Read
Get Marketplace Offers
Get Marketplace Offers. Query parameters: limit, start, select, order, sort, status, activation, approval, brandId, channel, supplierId, countryCode, network, returnPeriod.
GET /v1/marketplace-offers - Write
Create Offer from Marketplace Offer
Create Offer from Marketplace Offer. Documented JSON fields: programIds (required).
POST /v1/marketplace-offers/{marketplaceOfferId}/offers
Missing transaction requests
- Read
Get missing transaction request
Get missing transaction request. Official reference: GET /missing-transaction-requests/{missingTransactionRequestId}.
GET /v1/missing-transaction-requests/{missingTransactionRequestId}
No operations match.
See How connections work for access and permissions, or browse all integrations.